image: node:latest
stages:
  - deploy
production:
  type: deploy
  stage: deploy
  image: ruby:latest
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=node-heroku-dpl --api-key=$HEROKU_API_KEY
  only:
    - main
